<?php

// QuickTalk 1.9.0.3 build:20081001

class cSection
{

// --------

var $domid;    // Domain id
var $domname;  // Domain name
var $id;       // Section id
var $idtitle;  // Section title
var $name;     // Section name (translation)
var $descr;    // Section descr (translation)
var $type;     // '0'=visible, '1'=hidden, '2'=hidden by user
var $status;   // '0'=actif, '1'=closed
var $modid;    // Moderator id
var $modname;  // Moderaotr name
var $topics;   // Total topics (including news)
var $replies;  // Total replies (type R and F), not D
var $numfield; // Format of the ref number: 'N' means no ref number
var $titlefiel;// Topic title: 0=None, 1=Optional, 2=Mandatoryd
var $infofield;// Last column in the topic list: 'N' means no last column
/* computed values */
var $lastpostid;
var $lastposttopic;
var $lastpostdate;
var $lastpostuser;
var $lastpostname;

// -- Constructor method (accept an id, an array or a cSection as parameter) --

function cSection($aSection=null,$bLast=false)
{
  if ( isset($aSection) )
  {
    if ( is_int($aSection) )
    {
      if ( $aSection<0 ) die('No section '.$aSection);
      global $oDB;
      $oDB->Query('SELECT f.*,d.title as domtitle FROM '.TABSECTION.' f INNER JOIN '.TABDOMAIN.' d ON d.id=f.domainid WHERE f.id='.$aSection);
      $row = $oDB->Getrow();
      if ( $row===False )
      {
        unset($_SESSION['qtfSec']);
        unset($_SESSION['qtfTstatus']);
        unset($_SESSION['qtfTtypes']);
        unset($_SESSION['qtfDom']);
        die('No section '.$aSection);
      }
      $this->MakeSectionFromArray($row);
    }
    elseif ( is_array($aSection) )
    {
      $this->MakeSectionFromArray($aSection);
    }
    elseif ( strtolower(get_class($aSection))=='csection' )
    {
      $this->domid        = $aSection->domid;
      $this->domname      = $aSection->domname;
      $this->id           = $aSection->id;
      $this->idtitle      = $aSection->idtitle;
      $this->name         = $aSection->name;
      $this->descr        = $aSection->descr;
      $this->type         = $aSection->type;
      $this->status       = $aSection->status;
      $this->modid        = $aSection->modid;
      $this->modname      = $aSection->modname;
      $this->topics       = $aSection->topics;
      $this->replies      = $aSection->replies;
      $this->numfield     = $aSection->numfield;
      $this->titlefield   = $aSection->titlefield;
      $this->infofield    = $aSection->infofield;
      $this->lastpostid   = $aSection->lastpostid;
      $this->lastposttopic= $aSection->lastposttopic;
      $this->lastpostdate = $aSection->lastpostdate;
      $this->lastpostuser = $aSection->lastpostuser;
      $this->lastpostname = $aSection->lastpostname;
    }
    else
    {
      die('Invalid constructor parameter #1 for the class cSection');
    }
  }
  if ( $bLast ) $this->GetSectionLastPost();
}

// --------

function MakeSectionFromArray($aSection)
{
  foreach ($aSection as $strKey => $oValue) {
  switch ($strKey) {
    case 'domainid':     $this->domid     = intval($oValue); break;
    case 'id':           $this->id        = intval($oValue); break;
    case 'title':        $this->idtitle   = $oValue; break;
    case 'type':         $this->type      = intval($oValue); break;
    case 'status':       $this->status    = intval($oValue); break;
    case 'moderator':    $this->modid     = $oValue; break;
    case 'moderatorname':$this->modname   = $oValue; break;
    case 'topics':       $this->topics    = intval($oValue); break;
    case 'replies':      $this->replies   = intval($oValue); break;
    case 'numfield':     $this->numfield  = $oValue; break;
    case 'titlefield':   $this->titlefield= intval($oValue); break;
    case 'infofield':    $this->infofield = $oValue; break;
  }}
  $this->name = ObjectName('sec','s'.$this->id,$this->idtitle);
  $this->descr = ObjectName('secdesc','s'.$this->id,false);
  $this->domname= ObjectName('domain','d'.$this->domid,'(domain '.$this->domid.')');
}

// --------

function GetSectionLastPost()
{
  $this->lastpostid = null;
  $this->lastposttopic = null;
  $this->lastpostdate = null;
  $this->lastpostuser = null;
  $this->lastpostname = null;
  if ( $this->id<0 ) return null;
  if ( $this->topics==0 ) return null;

  global $oDB;

  // attention: this subquery requires mysql 4.1 (thus, use here two queries)
  $oDB->Query('SELECT MAX(id) as maxid FROM '.TABPOST.' WHERE forum='.$this->id);
  $row = $oDB->Getrow();
  $intIdlast = $row['maxid'];
  if ( is_numeric($intIdlast) )
  {
    $strQ = 'SELECT id,topic,issuedate,userid,username FROM '.TABPOST.' WHERE id='.$intIdlast;
    $oDB->Query($strQ);
    if ( $row=$oDB->Getrow() )
    {
    $this->lastpostid = intval($row['id']);
    $this->lastposttopic= intval($row['topic']);
    $this->lastpostdate = $row['issuedate'];
    $this->lastpostuser = intval($row['userid']);
    $this->lastpostname = $row['username'];
    }
  }
}

// --------

function MoveTopics($intSrc=-1,$intDest=0,$intRenum=1,$intTopic=-1,$bClosedOnly=false)
{
  if ( $intSrc<0 || $intDest<0 ) { echo 'cSection->MoveContent: Wrong source/destination id'; Return False; }
  if ( $intSrc==$intDest ) { echo 'cSection->MoveContent: Same source/destination id'; Return False; }

  global $oDB;
  
  $strTopic = '';
  $strPost = '';
  $strField = ''; if ( $intRenum==0 ) $strField = ', numid = 0';

  // if move only one topic
  if ( $intTopic>=0 )
  {
    $strTopic=" AND id=$intTopic";
    $strPost=" AND topic=$intTopic";
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE forum='.$intDest);
    $strField = ', numid='.intval($nextnumid);
    }
    $bClosedOnly=false;
  }
  else
  {
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE forum='.$intDest);
    $oDB->Query('SELECT MIN(numid) as minnumid FROM '.TABTOPIC.' WHERE forum='.$intSrc);
    $row = $oDB->Getrow();
    $minnumid = $row['minnumid'];
    $strField = ", numid = $nextnumid + (numid - $minnumid)";
    }
  }

  // update topics and posts

  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSrc.' AND status="1" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey => $intSection)
    {
    $oDB->Query('UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE id=$intSection");
    $oDB->Query('UPDATE '.TABPOST." SET forum=$intDest WHERE topic=$intSection");
    }
  }
  else
  {
    $oDB->Query( 'UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE forum=$intSrc $strTopic" );
    $oDB->Query( 'UPDATE '.TABPOST." SET forum=$intDest WHERE forum=$intSrc $strPost" );
  }

  // stats

  UpdateSectionStats($intSrc);
  UpdateSectionStats($intDest);
}

// --------

function DeleteTopics($intSection=-1,$bClosedOnly=false)
{
  // Check

  if ( $intSection<0 ) die('cSection->DeleteContent: Wrong section id [-1]');

  // Process - delete topics and posts
  
  global $oDB;
  
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND status="1" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey => $id)
    {
      $oDB->Query('DELETE FROM '.TABPOST.' WHERE topic='.$id);
      $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE id='.$id);
    }
    UpdateSectionStats($intSection);
  }
  else
  {
    $oDB->Query('DELETE FROM '.TABPOST.' WHERE forum='.$intSection);
    $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE forum='.$intSection);
    $oDB->Query('UPDATE '.TABSECTION.' SET topics=0, replies=0 WHERE id='.$intSection);
  }
}

// --------

function Count($str='topics',$intS=null,$d=10)
{
  // Allow instanciation
  
  if ( !isset($intS) ) $intS = $this->id;

  // Check
  if ( $intS<0 )
  {
    echo get_class($this).'->CountNews: Wrong section id -1';
    Return False;
  }

  // Process
  
  global $oDB;

  switch($str)
  {
  case 'topics': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS); break;
  case 'news':   $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND type="A"'); break;
  case 'closed': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE status="1" AND forum='.$intS.' AND type="T"'); break;
  case 'unreplied':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    break;
  case 'unrepliednews':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND type="A" AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    break;
  default: return 0;
  }
  //return value
  $row = $oDB->Getrow();
  return intval($row['countid']);
}
// --------

function UpdateStats($intId=-1)
{
  if ( $intId<0 ) die('Wrong id in section->UpdateStats');

  global $oDB;
  
  // query topics
  $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intId);
  $row =  $oDB->Getrow();

  // register
  $this->topics = $row['countid'];

  // query replies
  $oDB->Query('SELECT count(id) as countid FROM '.TABPOST.' WHERE forum='.$intId.' AND type="R"');
  $row =  $oDB->Getrow();

  // register
  $this->replies = $row['countid'];

  // save stats
  $oDB->Query('UPDATE '.TABSECTION.' SET topics='.$this->topics.', replies='.$this->replies.' WHERE id='.$intId);

  // Unregister global sys (will be recomputed on next page)
  Unset($_SESSION[QT]['sys_topics']);
  Unset($_SESSION[QT]['sys_messages']);
}

// --------

}

?>