<?php

// QuickTalk 1.9.0.3 build:20081001

// -----------------
// Connection config
// -----------------
require_once('bin/config.php');
if ( isset($qtf_install) ) { define('QT','qtf'.substr($qtf_install,-1)); } else { define('QT','qtf'); }

// -----------------
// System constants (CANNOT be changed by webmasters)
// -----------------
define('TABDOMAIN', $qtf_prefix.'qtadomain');
define('TABSECTION', $qtf_prefix.'qtaforum');
define('TABUSER', $qtf_prefix.'qtauser');
define('TABTOPIC', $qtf_prefix.'qtatopic');
define('TABPOST',  $qtf_prefix.'qtapost');
define('TABSETTING', $qtf_prefix.'qtasetting');
define('TABLANG',  $qtf_prefix.'qtalang');
define('QTFVERSION', '1.9.0.3 build:20081001');
define('QSEL', ' selected="selected"');
define('QCHE', ' checked="checked"');
define('QDIS', ' disabled="disabled"');
define('N', "\n");
define('S', '&nbsp;');

// -----------------
// Interface constants (can be changed by webmasters)
// -----------------
define('QTF_HOTTOPICS',     10);    // Number of replies to become hottopic. Use FALSE to disable hottopic icon
define('QTF_BACKBUTTON', '&nbsp;&laquo;&nbsp;'); // use FALSE to hide backbutton
define('QTF_DFLT_VIEWMODE', 'N');   // default view mode: N=normal view, C=compact view
define('QTF_SHOW_VIEWMODE', true);  // allow user to change view mode
define('QTF_SHOW_PRINT',    true);  // allow user to get a print style
define('QTF_SHOW_TIME',     true);  // show time in the bottom bar
define('QTF_SHOW_MODERATOR',true);  // show moderator in the bottom bar
define('QTF_SHOW_GOTOLIST', true);  // show gotolist in the bottom bar
define('QTF_SHOW_DOMAIN',   false); // show domain + forum name in the crumbtrail bar and gotolist
define('QTF_PREFIX_ICON',   true);  // use prefix icons for the topic
define('QTF_CRUMBTRAIL', ' &middot; '); // crumbtrail separator (dont forget spaces)
define('QTF_MENUSEPARATOR', ' &middot; '); // bottom menu separator (dont forget spaces)
define('QTF_CONVERT_AMP',   false); // save &amp; instead of &. Use TRUE to make &#0000; symbols NOT working.
define('QTF_DOC_FOLDER', 'upload/'); // where to store uploaded files, if allowed, (with final '/')

// -----------------
// Class and function definition
// -----------------
require_once('bin/qt_lib_txt.php');
require_once('bin/qt_lib_db.php');
require_once('bin/qt_lib_url.php');
require_once('bin/qtf_class_vip.php');
require_once('bin/qtf_class_section.php');
require_once('bin/qtf_class_topic.php');
require_once('bin/qtf_class_post.php');
require_once('bin/qtf_class_lang.php');
require_once('bin/qtf_fn_common.php');
require_once('bin/qtf_fn_html.php');

// -----------------
//  Installation wizard (if file exists)
// -----------------
if ( !isset($qtf_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTalk ',QTFVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}
if ( empty($qtf_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTalk ',QTFVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}

// ----------------
// Initialise Classes
// ----------------
$oDB  = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');
$oVIP = new cVIP();

// ----------------
// Load system parameters
// ----------------
if ( !isset($_SESSION[QT]) ) GetParam(true);

  // check major parameters
  if ( !isset($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( !isset($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( !isset($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( empty($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( empty($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( empty($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( substr($_SESSION[QT]['skin_dir'],0,5)!='skin/' ) $_SESSION[QT]['skin_dir'] = 'skin/'.$_SESSION[QT]['skin_dir'];
  if ( substr($_SESSION[QT]['language'],0,9)!='language/' ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['language'];

if ( isset($_GET['lx']) )
{
  // check that value is valid (to avoid injection)
  require_once('bin/qtf_lang.php');
  if ( array_key_exists($_GET['lx'],$arrLang) )
  {
    $_SESSION[QT]['lx'] = $arrLang[$_GET['lx']][2];
    $_SESSION[QT]['lang_iso'] = $_GET['lx'];
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION['qtfDom']) ) unset($_SESSION['qtfDom']);
    if ( isset($_SESSION['qtfSec']) ) unset($_SESSION['qtfSec']);
  }
  else
  {
  $qtf_error = 'Wrong iso code language';
  }
}
if ( isset($_SESSION[QT]['lx']) ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['lx'];

if ( !isset($_SESSION['qtfDom']) ) $_SESSION['qtfDom'] = GetDomains();
if ( !isset($_SESSION['qtfSec']) ) $_SESSION['qtfSec'] = GetSectionTitles($oVIP->role,-1,-1,'',QTF_SHOW_DOMAIN);

// ----------------
// Initialiase variable
// ----------------

$strExtracolumn = 'N'; ;
$qtf_error = ''; // Required when server uses register_global_on
$qtf_warning = ''; // Required when server uses register_global_on
$strClock = gmdate($_SESSION[QT]['formattime'], time() + 3600*($_SESSION[QT]['time_zone']+$_SESSION[QT]['daylight']));
if ( $_SESSION[QT]['show_time_zone']=='1' )
{
  $strClock .= ' (gmt';
  if ( $_SESSION[QT]['time_zone']>0 )  { $strClock .= '+'.$_SESSION[QT]['time_zone'].')'; }
  if ( $_SESSION[QT]['time_zone']<0 )  { $strClock .= $_SESSION[QT]['time_zone'].')'; }
  if ( $_SESSION[QT]['time_zone']==0 ) { $strClock .= ')'; }
}
if ( !isset($_SESSION[QT]['viewmode']) ) $_SESSION[QT]['viewmode']=QTF_DFLT_VIEWMODE;
if ( !isset($_SESSION[QT]['javamail']) ) $_SESSION[QT]['javamail']='0';
if ( !isset($_SESSION[QT]['sys_topics']) )   SysStats('t');
if ( !isset($_SESSION[QT]['sys_messages']) ) SysStats('p');
if ( !isset($_SESSION[QT]['sys_members']) )  SysStats('u');
if ( !isset($_SESSION[QT]['sys_newuserid']) || !isset($_SESSION[QT]['sys_newusername']) ) SysStats('n');
 
// ----------------
// Load dictionary
// ----------------
include($_SESSION[QT]['language'].'/qtf_lang_main.inc');
include($_SESSION[QT]['language'].'/qtf_lang_icon.inc');

$arrQTdate = array('n','todaytodaytime',$_SESSION[QT]['formatdate'],$_SESSION[QT]['formattime'],$L['dateSQL']);

if ( !isset($_SESSION['L']['index']) ) $_SESSION['L']['index'] = cLang::GetName('index',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['domain']) ) $_SESSION['L']['domain'] = cLang::GetName('domain',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['sec']) ) $_SESSION['L']['sec'] = cLang::GetName('sec',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['secdesc']) ) $_SESSION['L']['secdesc'] = cLang::GetName('secdesc',$_SESSION[QT]['lang_iso'],'*');

// ----------------
// Load topic status/type (use uppercase for ID)
// ----------------
if ( !isset($_SESSION['qtfTstatus']) )
{
   $_SESSION['qtfTstatus'] = array();
   $_SESSION['qtfTstatus']['0'] = $L['Opened'];
   $_SESSION['qtfTstatus']['1'] = $L['Closed'];
}
if ( !isset($_SESSION['qtfTtypes']) )
{
   $_SESSION['qtfTtypes'] = array();
   $_SESSION['qtfTtypes']['T'] = array('name'=>$L['Topic'],'color'=>'');
   $_SESSION['qtfTtypes']['A'] = array('name'=>$L['News'],'color'=>'');
}

?>