<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_lang_adm.inc'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$oVIP->selfurl = 'qtf_adm_index.php';
$oVIP->selfname = $L['Adm_status'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check admin email and forum url
  if ( !QTismail($_SESSION[QT]['admin_email'],false) ) $qtf_error='Error';
  if ( strlen($_SESSION[QT]['site_url'])<8 ) $qtf_error='Error';
  if ( !empty($qtf_error) )
  {
    $strFile=$_SESSION[QT]['language'].'/sys_online_error.inc';
    if ( file_exists($strFile) ) { $strMsg = include($strFile); } else { $strMsg = '<p>Missing admin e-mail or forum url...</p>'; }
    $oVIP->exiturl = 'qtf_adm_site.php';
    $oVIP->exitname = $L['Adm_general'];
    $oVIP->EndMessage(NULL,$strMsg,'admin',0);
  }

  $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_POST['offline'].'" WHERE param="board_offline"');
  $_SESSION[QT]['board_offline'] = $_POST['offline'];

  $strInfo = $L['S_save'];
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qtf_adm_p_header.php');
include('qtf_adm_p_title.php');

// BOARD OFFLINE

echo '
<h2>',$oVIP->selfname,'</h2>
';
echo '<table class="ta" cellspacing="0">',N;
echo '<tr class="tr tr_o">',N;
echo '<th class="th_o th_o_first" style="width:200px;"><span class="txt_head">',$L['Adm_status'],'</span></th>';
if ( $_SESSION[QT]['board_offline']=='0' )
{
  echo '<td class="td_o">&nbsp;</td>';
  echo '<td class="td_o" style="text-align:center; background-color:#AAFFAA"><b>',$L['On_line'],'</b></td>';
}
else
{
  echo '<td class="td_o">&nbsp;</td>';
  echo '<td class="td_o" style="text-align:center; background-color:#FFAAAA"><b>',$L['Off_line'],'</b></td>';
}
echo '<td class="td_o" style="text-align:right">';
echo '<form method="post" action="',$oVIP->selfurl,'">',$L['Change'],S;
echo '<select id="offline" name="offline">';
echo '<option value="0"',($_SESSION[QT]['board_offline']=='0' ? QSEL : ''),'>',$L['On_line'],'</option>';
echo '<option value="1"',($_SESSION[QT]['board_offline']=='1' ? QSEL : ''),'>',$L['Off_line'],'</option>';
echo '</select>&nbsp;<input type="submit" name="ok" value="',$L['Save'],'"/>';
echo '</form></td>';
echo '</tr>',N,'</table>',N;

// STATS

echo '<h2>',$L['Info'],'</h2>',N;

$oDB->Query('SELECT count(id) as countid FROM '.TABDOMAIN);
$row = $oDB->Getrow();
$intDomain = $row['countid'];

$oDB->Query('SELECT count(id) as countid FROM '.TABSECTION);
$row = $oDB->Getrow();
$intForum = $row['countid'];

$oDB->Query('SELECT count(id) as countid FROM '.TABSECTION.' WHERE type="1"');
$row = $oDB->Getrow();
$intHidden = $row['countid'];

$oDB->Query('SELECT count(id) as countid FROM '.TABPOST);
$row = $oDB->Getrow();
$intPost = $row['countid'];

if ( $intPost>0 )
{
$oDB->Query('SELECT min(firstpostdate) as firsttopic FROM '.TABTOPIC);
$row = $oDB->Getrow();
$strStartdate = QTdate($row['firsttopic'],$arrQTdate);
}
else
{
$strStartdate = S;
}

echo '<table class="ta" cellspacing="0">',N;
echo '<tr class="tr tr_o">';
echo '<th class="th_o th_o_first" style="width:200px;"><span class="txt_head">',$L['Domains'],'/',$L['Sections'],'</span></th>';
echo '<td class="td_o">',LangS('Domain',$intDomain),', ',LangS('Section',$intForum),' <span class="small">(',$intHidden,S,$L['Hidden'],')</span>, <a href="qtf_stats.php">',$L['Statistics'],'</a></td>';
echo '</tr>',N;
echo '<tr class="tr tr_o">';
echo '<th class="th_o th_o_first" style="width:200px;"><span class="txt_head">',$L['Section_start_date'],'</span></th>';
echo '<td class="td_o">',$strStartdate,'</td>';
echo '</tr>',N;
echo '<tr class="tr tr_o">';
echo '<th class="th_o th_o_first"><span class="txt_head">',$L['Users'],'</span></th>';

$oDB->Query('SELECT count(id) as countid FROM '.TABUSER);
$row = $oDB->Getrow();
$intUser = $row['countid'];
$oDB->Query('SELECT count(id) as countid FROM '.TABUSER.' WHERE role="A"');
$row = $oDB->Getrow();
$intAdmin = $row['countid'];
$oDB->Query('SELECT count(id) as countid FROM '.TABUSER.' WHERE role="M"');
$row = $oDB->Getrow();
$intMod = $row['countid'];

echo '<td class="td_o">',LangS('User',$intUser),' <span class="small">(',LangS('Userrole,A',$intAdmin),', ',LangS('Userrole,M',$intMod),')</span></td>';
echo '</tr>',N;

// messages
$oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC);
$row = $oDB->Getrow();
$intTopic = $row['countid'];
$oDB->Query('SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"P"');
$row = $oDB->Getrow();
$intReply = $row['countid'];

echo '<tr class="tr tr_o">
<th class="th_o th_o_first"><span class="txt_head">',$L['Messages'],'</span></th>
<td class="td_o">',LangS('Message',$intPost),' <span class="small">(',LangS('Topic',$intTopic),', ',LangS('Reply',$intReply),')</span></td>
</tr>',N;

// db size
if ( $oDB->type=='mysql' )
{
  echo '<tr class="tr tr_o">';
  echo '<th class="th_o th_o_first"><span class="txt_head">',$L['Db_disk_space'],'</span></th>';
  $oDB->Query('show table status from '.$oDB->db);
  $intSize = 0;
  $tables = array(TABSETTING,TABDOMAIN,TABSECTION,TABTOPIC,TABPOST,TABUSER);
  while($row = $oDB->Getrow())
  {
    if ( in_array($row['Name'],$tables) )
    {
    $intSize += $row['Data_length'];
    }
  }
  $strSize = round(($intSize/1024), 0).' Kb';
  echo '<td class="td_o">',$strSize,'</td></tr>',N;
}

// db version
echo '<tr class="tr tr_o">
<th class="th_o th_o_first"><span class="txt_head">',$L['Version'],'</span></th>
<td class="td_o">',QTFVERSION,', <span class="small">database ',$_SESSION[QT]['version'],', sid ',QT,'</span></td>
</tr>',N;

echo '</table>',N;

// PUBLIC ACCESS LEVEL

echo '<h2>',$L['Public_access_level'],'</h2>',N;

echo '<table class="ta" cellspacing="0">',N;
echo '<tr class="tr tr_o">';
echo '<th class="th_o th_o_first" style="width:200px; text-align:right; height:25px"><span class="texthead">',$L['Visitors_can'],'</span></th>';
echo '<td class="td_o">',$L['Pal'][$_SESSION[QT]['visitor_right']],'</td>';
echo '<td class="td_o" style="text-align:right"><a href="qtf_adm_secu.php">',$L['Change'],'</a></span></td>';
echo '</tr>',N,'</table>',N;

// HTML END

include('qtf_adm_p_footer.php');

?>