<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute.org/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 * About text coding in the database
 * This script will convert the text before inserting into the dabase as follow:
 *
 * 1) stripslashes
 * 2) htmlspecialchar($text,ENT_QUOTES) <>&"' are converted to html
 * 3) bbcodes remain UNCHANGED (they are converted while displayed)
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',6) ) die($L['R_member']);

// INITIALISE

include('bin/qtf_fn_limitsql.php');

  // initialise action  (protection against injection: nt,re,ed,qu,ed allowed)

  $a = -1;
  if ( isset($_GET['a']) ) $a = $_GET['a'];
  if ( isset($_POST['a']) ) $a = $_POST['a'];
  if ( !in_array($a,array('nt','re','ed','qu')) ) die('Missing parameters a');

  // initialise section (-1 not allowed)

  $s = -1;
  if ( isset($_GET['s']) ) $s = intval($_GET['s']);
  if ( isset($_POST['s']) ) $s = intval($_POST['s']);
  if ( $s<0 ) die('Missing parameters: section');
  
  // initialise topic (-1 allowed when new topic)

  $t = -1;
  if ( isset($_GET['t']) ) $t = intval($_GET['t']);
  if ( isset($_POST['t']) ) $t = intval($_POST['t']);

  // initialise post (-1 allowed when new reply)

  $p = -1;
  if ( isset($_GET['p']) ) $p = intval($_GET['p']);
  if ( isset($_POST['p']) ) $p = intval($_POST['p']);

  $oSEC = new cSection($s);
  $oTopic = new cTopic(($t>=0 ? $t : null));
  $oPost = new cPost(($p>=0 ? $p : null));

  // initialise others

  $now = date('Ymd His');
  $bPreview = false;
  $bUpload = false;
  $intBehalf = -1;
  $strBehalf = '';

$oVIP->selfurl  = 'qtf_form_edit.php';
$oVIP->selfname = $L['Message'];
if ( $a=='nt' ) $oVIP->selfname = $L['Post_new_topic'];
if ( $a=='re' ) $oVIP->selfname = $L['Post_reply'];
if ( $a=='qu' ) $oVIP->selfname = $L['Post_reply'];
if ( $a=='ed' ) $oVIP->selfname = $L['Edit_message'];
$oVIP->exiturl  = "qtf_topic.php?s=$s&amp;t=$t";
$oVIP->exitname = $L['Topics'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['dosend']) || isset($_POST['dopreview']) )
{

  // Pmodifuser is the current editor/creator (can be the onbehalf)
  // In case of New message (or Reply or Quote), this one becomes the creator (Puserid=Pmodifuser)
  // In case of Edit existing message, Puserid is not changed but the Pmodifuser can be saved (if Pmodifuser!=Puserid)

  $oPost->modifuser = $oVIP->id;
  $oPost->modifname = $oVIP->username;
  
  // --------
  // read submitted fields
  // --------

  if ( isset($_POST['icon']) )      { $oPost->icon = substr($_POST['icon'],0,2); }
  if ( isset($_POST['title']) )     { $oPost->title = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $oPost->title = stripslashes($oPost->title); }
  if ( isset($_POST['text']) )      { $oPost->text = trim($_POST['text']); if ( get_magic_quotes_gpc() ) $oPost->text = stripslashes($oPost->text); }
  if ( isset($_POST['oldattach']) ) { $oPost->attach = $_POST['oldattach']; }
  if ( isset($_POST['behalf']) )    { $strBehalf = trim($_POST['behalf']); if ( get_magic_quotes_gpc() ) $strBehalf = stripslashes($strBehalf); }

  // complete if missing behalf name

  if ( $strBehalf!='' )
  {
    $strBehalf = htmlspecialchars($strBehalf,ENT_QUOTES);
    $arrNames = GetUsers('name',$strBehalf);
    if ( !empty($arrNames) ) { foreach ( $arrNames as $intKey => $strValue ) { $intBehalf = $intKey; } }
    if ( $intBehalf<0 ) $qtf_error = $L['Send_on_behalf'].S.$L['E_invalid'];
    $oPost->modifuser = $intBehalf;
    $oPost->modifname = $strBehalf;
  }

  // identify user

  if ( $a!='ed' )
  {
    $oPost->userid = $oPost->modifuser;
    $oPost->username = $oPost->modifname;
  }

  // --------
  // mandatory submitted fields
  // --------

  $oPost->title = QTbbc($oPost->title,'deepdrop',' ',null,null,null,' ');
  if ( $a=='nt' && $oPost->title=='' && $oSEC->titlefield==2 ) $qtf_error = $L['E_no_title'];

  if ( strlen($oPost->text)>$_SESSION[QT]['chars_per_post'] ) $qtf_error = $L['E_too_long'].S.sprintf($L['E_char_max'], $_SESSION[QT]['chars_per_post']);
  if ( substr_count($oPost->text,"\n")>$_SESSION[QT]['lines_per_post'] ) $qtf_error = $L['E_too_long'].S.sprintf($L['E_line_max'], $_SESSION[QT]['lines_per_post']);
  
  $oPost->Ptext = substr( $oPost->text, 0, $_SESSION[QT]['chars_per_post'] );
  $oTopic->preview = QTbbc($oPost->text,'deepdrop',' ',250,null,null,'');

  if ($oPost->text=='') $qtf_error = $L['Message'].S.$L['E_invalid'];

  // --------
  // check submitted rules (when sending the message)
  // --------

  if ( isset($_POST['dosend']) && empty($qtf_error) )
  {
    // check maximum post per user/minutes
    if ( !LastPostDelayAcceptable() ) $qtf_error=$L['E_wait'];

    // check maximum post per day (not for moderators)
    if ( empty($qtf_error) )
    {
      if ( $oVIP->role=='U' || $oVIP->role=='V' ) {
      if ( !PostsTodayAcceptable(intval($_SESSION[QT]['posts_per_day'])) ) {
        $qtf_error=$L['E_too_much'];
        // exit
        $oVIP->exiturl = "qtf_topics.php?s=$s";
        $oVIP->EndMessage(NULL,$qtf_error,$_SESSION[QT]['skin_dir'],0);
      }}
    }

    // check message
    if ( empty($qtp_error) )
    {
      // ----------
      // module antispam
      if ( UseModule('antispam') ) include('qtfm_antispam.php');
      // ----------
    }

    // check upload
    if ( empty($qtf_error) ) {
    if ( $_SESSION[QT]['upload']!='0' ) {
    if ( !empty($_FILES['attach']['name']) ) {
      include('qtf_form_edit_attach.php');
    }}}
  }

}

// --------
// SUBMITTED Process a SEND
// --------

if ( isset($_POST['dosend']) && empty($qtf_error) )
{ 
  // ----------
  // SEND a new topic
  // ----------
  if ( $a=='nt' )
  {
    $oTopic->id = Nextid(TABTOPIC);
    $oTopic->numid = Nextid(TABTOPIC,'numid','WHERE forum='.$s);
    $oPost->id = Nextid(TABPOST);
    $oPost->topic = $oTopic->id;
    $oTopic->section = $s;
    $oPost->section = $s;
      // if moderator post
      if ( isset($_POST['topictype']) ) $oTopic->type = $_POST['topictype'];
      if ( isset($_POST['topicstatus']) ) $oTopic->status = $_POST['topicstatus'];
    $oTopic->firstpostid = $oPost->id;
    $oTopic->lastpostid = $oPost->id;
    $oTopic->firstpostuser = $oVIP->id;
    $oTopic->firstpostname = $oPost->username;
    $oTopic->lastpostuser = $oVIP->id;
    $oTopic->lastpostname = $oPost->username;
    $oTopic->firstpostdate = $now;
    $oTopic->lastpostdate = $now;
      // replace empty title
      if ( empty($oPost->title) )
      {
      $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
      }
    $oPost->type = 'P';
    $oPost->issuedate = $now;
    if ( $bUpload )
    {
      if ( !empty($_POST['oldattach']) ) if ( file_exists(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']) ) unlink(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']);
      copy($_FILES['attach']['tmp_name'],QTF_DOC_FOLDER.$oPost->id.'_'.$strUpload);
      unlink($_FILES['attach']['tmp_name']);
      $oPost->attach = $strUpload;
    }

    $oPost->InsertPost(false);
    $oTopic->InsertTopic(true);
    $oVIP->numpost++;

    // ----------
    // module rss
    if ( UseModule('rss') ) { if ( $_SESSION[QT]['m_rss']=='1' ) include('qtfm_rss_inc.php'); }
    // ----------    
  }

  // ----------
  // SEND a reply
  // ----------
  if ( $a=='re' || $a=='qu' )
  {
    $oPost->id = Nextid(TABPOST);
    $oPost->topic = $t;
    $oPost->section = $s;
    $oPost->type = 'R';
    $oPost->issuedate = $now;
    if ( $bUpload )
    {
      if ( !empty($_POST['oldattach']) ) if ( file_exists(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']) ) unlink(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']);
      copy($_FILES['attach']['tmp_name'],QTF_DOC_FOLDER.$oPost->id.'_'.$strUpload);
      unlink($_FILES['attach']['tmp_name']);
      $oPost->attach = $strUpload;
    }

    $oPost->InsertPost(true);
    $oVIP->numpost++;

    // update topic stats and close topic if full (and lastpost topic info)
    $oTopic->UpdateTopicStats($oTopic->id,$_SESSION[QT]['posts_per_topic'],$oPost);

    // topic status/type (from staff)
    if ( isset($_POST['topictype']) )
    {
      if ( $_POST['topictype']!=$_POST['oldtype'] ) $oTopic->SetType($oTopic->id,$_POST['topictype']);
    }
    if ( isset($_POST['topicstatus']) )
    {
      if ( $_POST['topicstatus']!=$_POST['oldstatus'] ) $oTopic->SetStatus($oTopic->id,$_POST['topicstatus']);
    }

    // topic status (from user)
    if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='1' ) $oTopic->SetStatus($oTopic->id,'1'); }
  }
  
  // ----------
  // SEND a edition
  // ----------
  if ( $a=='ed' )
  {
    if ( $oSEC->titlefield==0 && $oPost->type=='P' )
    {
    $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
    }
    if ( empty($oPost->title) && $oPost->type=='P' )
    {
    $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
    }

    $strModif = '';

    // modifdate+modifuser if editor is not the creator
    if ( $oPost->modifuser!=$oPost->userid ) $strModif=', modifdate="'.date('Ymd His').'", modifuser='.$oPost->modifuser.', modifname="'.$oPost->modifname.'"';
    // modifdate+modifuser if not the last message
    if ( $oTopic->lastpostid!=$oPost->id ) $strModif=', modifdate="'.date('Ymd His').'", modifuser='.$oPost->modifuser.', modifname="'.$oPost->modifname.'"';

    if ( $bUpload )
    {
      if ( !empty($_POST['oldattach']) ) if ( file_exists(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']) ) unlink(QTF_DOC_FOLDER.$oPost->id.'_'.$_POST['oldattach']);
      copy($_FILES['attach']['tmp_name'],QTF_DOC_FOLDER.$oPost->id.'_'.$strUpload);
      unlink($_FILES['attach']['tmp_name']);
      $oPost->attach = $strUpload;
    }
    // if drop attachement
    if ( isset($_POST['drop']) ) { if ( $_POST['drop'][0]=='1' ) $oPost->Dropattach(); }

    if ( $oDB->type=='db2' || $oDB->type=='ifx' )
    {
    $oDB->Query( 'UPDATE '.TABPOST.' SET title="'.addslashes($oPost->title).'", icon="'.$oPost->icon.'",textmsg="'.addslashes($oPost->text).'",",textmsg2="'.substr(addslashes($oPost->text),0,255).'",attach="'.$oPost->attach.'" '.$strModif.' WHERE id='.$oPost->id );
    }
    else
    {
    $oDB->Query( 'UPDATE '.TABPOST.' SET title="'.addslashes($oPost->title).'", icon="'.$oPost->icon.'",textmsg="'.addslashes($oPost->text).'",attach="'.$oPost->attach.'" '.$strModif.' WHERE id='.$oPost->id );
    }

    // topic status/type (from moderator)
    if ( isset($_POST['topictype']) )
    {
      if ( $_POST['topictype']!=$_POST['oldtype'] ) $oTopic->SetType($oTopic->id,$_POST['topictype']);
    }
    if ( isset($_POST['topicstatus']) )
    {
      if ( $_POST['topicstatus']!=$_POST['oldstatus'] ) $oTopic->SetStatus($oTopic->id,$_POST['topicstatus']);
    }
    // topic status (from user)
    if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='1' ) $oTopic->SetStatus($oTopic->id,'1'); }

  }
 
  // update forum stats
  UpdateSectionStats($s);

  // exit
  $oVIP->exiturl = "qtf_topic.php?s=$s&amp;t=$oPost->topic#$oPost->id";
  $str = ''; if ( $oSEC->numfield!='N' ) $str='<b>'.sprintf($oSEC->numfield,$oTopic->numid).'</b><br/>';
  $oVIP->EndMessage(NULL,$str.$L['S_message_saved'].(!empty($qtf_warning) ? '<p class="warning">'.$qtf_warning.'</p>' : ''),$_SESSION[QT]['skin_dir'], (empty($qtf_warning) ? 2 : 4) );
  
}

// --------
// HTML START
// --------

if ( $a=='nt' )
{
  $oPost->icon = '00';
  $oPost->type = 'P';
}
if ( $a=='qu' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  if ( $p<0 ) die('Missing parameters: postid');
  $oPost->title = '';
  $oPost->text = "[quote=$oPost->username]$oPost->text[/quote]";
  // rest must be as reply
  $a = 're';
}
if ( $a=='re' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  $oPost->icon = '00';
  $oPost->type = 'R';
}
if ( $a=='ed' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  if ( $p<0 ) die('Missing parameters: postid');
}

$bAjax=false;
if ( $oVIP->role=='A' || $oVIP->role=='M' ) $bAjax=true;

// --------
// CONTENT
// --------

$arrCss = array('qtf_calendar.css');
$arrJava = array('bbc'=>true,'img'=>true);

$bJavaBbc2 = true;
if ( CanPerform('upload',$oVIP->role) ) $bJavaBbc3 = true;

if ( $bAjax )
{
$arrCss[] = 'qt_jquery.css'; 
$strHeaderAddScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
<script type="text/javascript">
<!--
function ValidateForm(theButton)
{
  theForm = theButton.form;
  if (theForm.text.value.length==0) { alert(html_entity_decode("'.$L['E_mandatory'].': '.$L['Message'].'")); return false; }
  if (theForm.text.value.length>'.$_SESSION[QT]['chars_per_post'].') { alert(html_entity_decode("'.$L['E_too_long'].': '.$L['Maximum'].' '.$_SESSION[QT]['chars_per_post'].'")); return false; }

  if ( theButton.name=="dosend" )
  {
    theForm.action="'.$oVIP->selfurl.'";
    theForm.target="";
  }
  else
  {
    if ( theForm.attach )
    {
      if ( theForm.attach.value.length>1 )
      {
      theForm.action="qtf_form_preview.php";
      theForm.target="_blank";
      }
    }
  }
  return true;
}
$(document).ready(function() {
  $("#behalf").autocomplete("qtf_j_name.php", {
    selectFirst: false
  });
});
-->
</script>
';
}

include('qtf_p_header.php');

// PREVIEW

if ( isset($_POST['dopreview']) && empty($qtf_error) )
{
  echo '<h2>',$L['Preview'],'</h2>',N;

  // get user info
  $oDB->Query('SELECT signature,avatar,location,role FROM '.TABUSER.' WHERE id='.$oPost->userid);
  $row = $oDB->Getrow();
  $oPost->userloca = $row['location'];
  $oPost->useravat = $row['avatar'];
  $oPost->usersign = $row['signature'];
  $oPost->userrole = $row['role'];
  $oPost->issuedate = $now;
  $oPost->Show($oSEC,$oTopic,true,'','',$_SESSION[QT]['skin_dir'],'1');
}

// FORM START

echo '<h2>',$oVIP->selfname,'</h2>',N;
if ( !empty($qtf_error) ) echo '<p class="error">',$qtf_error,'</p>';

echo '
<script type="text/javascript">
<!--
function ValidateForm(theButton)
{
  theForm = theButton.form;
  if (theForm.text.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Message'],'")); return false; }
  if (theForm.text.value.length>',$_SESSION[QT]['chars_per_post'],') { alert(html_entity_decode("',$L['E_too_long'],': ',$L['Maximum'],' ',$_SESSION[QT]['chars_per_post'],'")); return false; }

  if ( theButton.name=="dosend" )
  {
    theForm.action="',$oVIP->selfurl,'";
    theForm.target="";
  }
  else
  {
    if ( theForm.attach )
    {
      if ( theForm.attach.value.length>1 )
      {
      theForm.action="qtf_form_preview.php";
      theForm.target="_blank";
      }
    }
  }
  return true;
}
-->
</script>
';

echo '
<form id="form_edit" method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data">
<input type="hidden" name="s" value="',$s,'"/>
<input type="hidden" name="t" value="',$t,'"/>
<input type="hidden" name="a" value="',$a,'"/>
<input type="hidden" name="p" value="',$oPost->id,'"/>
<input type="hidden" name="oldtype" value="',$oTopic->type,'"/>
<input type="hidden" name="oldstatus" value="',$oTopic->status,'"/>
';
// Rules for status and types
// 1) author himself can NOT change de status
// 2) Moderator can change status
// 3) Admin can change status and type
if ( $oVIP->role=='A' || $oVIP->role=='M' )
{
  echo '<div class="div_modboard"><span class="span_modboard">',N;
  echo $L['Type'],' <select class="small" name="topictype" size="1">',N;
  echo QTastags($_SESSION['qtfTtypes'],null,$oTopic->type,null,$oTopic->type,'bold');
  echo '</select>',N;
  echo S,$L['Status'],' <select class="small" name="topicstatus" size="1">',N;
  echo QTastags($_SESSION['qtfTstatus'],null,$oTopic->status,null,$oTopic->status,'bold');
  echo '</select>',N;
  echo S,$L['Send_on_behalf'],S,'<input class="small" type="text" name="behalf" id="behalf" size="12" maxlength="24" value="'.(isset($strBehalf) ? $strBehalf : '').'"/></span>',N;
  echo '</div>',N;
}
// End of rule for status and types

echo '<table class="ta" cellspacing="0">',N;

// PREFIX ICON

echo '<tr>';
echo '<th class="th_o th_o_first" style="width:100px">',$L['Smiley'],'</th>';
echo '<td class="td_o">',N;
for ($i=0;$i<10;$i++)
{
  if ( file_exists($_SESSION[QT]['skin_dir'].'/ico_prefix_0'.$i.'.gif') )
  {
  echo '<input type="radio" name="icon" id="0',$i,'" value="0',$i,'"',($oPost->icon=='0'.$i ? QCHE : '' ),'/><label for="0',$i,'"><img class="ico ico_prefix" src="',$_SESSION[QT]['skin_dir'],'/ico_prefix_0',$i,'.gif" label="smile" title="',$L['Ico_prefix_0'.$i],'"/></label> &nbsp;',N;
  }
}
echo '<input type="radio" name="icon" id="00" value="00"',($oPost->icon=='00' ? QCHE : ''),'/><label for="00">',$L['None'],'</label></td>';
echo '</tr>',N;

// TITLE

if ( $oSEC->titlefield!=0 )
{
echo '<tr>',N;
echo '<th class="th_o th_o_first"><label for="title">',$L['Title'],'</label></th>',N;
echo '<td class="td_o"><input type="text" id="title" name="title" size="80" maxlength="64" value="',QTconv($oPost->title,'3',QTF_CONVERT_AMP),'" tabindex="1"/></td>',N;
echo '</tr>',N;
}

// MESSAGE

echo '<tr>';
echo '<th class="th_o th_o_first"><label for="text">',$L['Message'],'</label></th>';
echo '<td class="td_o">';
include('qtf_form_button.php');
echo '<a href="textarea"></a><br/>';
echo '<textarea id="text" name="text" rows="15" wrap="virtual" cols="80" tabindex="2">',$oPost->text,'</textarea></td>';
echo '</tr>',N;

// ATTACHMENT

if ( CanPerform('upload',$oVIP->role) )
{
  $intMax = intval($_SESSION[QT]['upload_size'])*1024;
  echo '<tr>';
  echo '<th class="th_o th_o_first"><label for="attach">',$L['Attachment'],'</label></th>';
  echo '<td class="td_o">';
  if ( !empty($oPost->attach) )
  {
    echo AsImg($_SESSION[QT]['skin_dir'].'/ico_attachment.gif','-',$L['Attachment']),S,$oPost->attach,'<input type="hidden" id="oldattach" name="oldattach" value="',$oPost->attach,'"/>';
    echo ' &middot; <input type="checkbox" id="drop" name="drop[]" value="1"/><label for="drop">&nbsp;',$L['Drop_attachment'],'</label>';
  }
  else
  {
    echo '<input type="hidden" name="MAX_FILE_SIZE" value="',$intMax,'"/>';
    echo '<input type="file" id="attach" name="attach" size="42" tabindex="3"/>';
  }
  echo '</td></tr>',N;
}

// SUBMIT

echo '<tr>',N;
echo '<th class="th_o th_o_first">&nbsp;</th>',N;
echo '<td class="td_o">',N;

if ( $oTopic->status=='0' && $oTopic->firstpostuser==$oVIP->id )
{
  // topic status (from user)
  $bChecked = false;
  if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='1' ) $bChecked=true; }
  echo '<input type="checkbox" id="topicstatususer" name="topicstatususer[]" value="1"',($bChecked ? QCHE : ''),'/><label for="topicstatususer">&nbsp;',$L['Close_my_topic'],'</label>&nbsp;';
}

echo '&nbsp;<input type="submit" id="dopreview" name="dopreview" value="',$L['Preview'],'" onclick="return ValidateForm(this);"/>';
echo '&nbsp;<input type="submit" id="dosend" name="dosend" value="',$L['Send'],'" tabindex="3" onclick="return ValidateForm(this);"/>&nbsp;',N;
echo '</td>',N;
echo '</tr>',N;

// FORM END

echo '</table>',N,'</form>',N,N;

// PREVIOUS POSTS

if ( $a=='re' || $a=='qu' )
{
  echo '<h2>',$L['Previous_replies'],'</h2>',N;
  /* ------ */
  $strState = 'p.*, u.role, u.location, u.avatar, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$oTopic->id.' ';
  $oDB->Query( LimitSQL($strState,'p.id DESC',0,5) );
  /* ------ */
  $intPosts = 5;
  $iMsgNum = $oTopic->replies + 2;
  $iMsgAdd = -1;
  $intWhile= 0;
  $strAlt  = '1';
  $strSep  = '';
  $bButton = false;
  $bAvatar = false;
  /* ------ */
  include('qtf_topic_inc.php');
  /* ------ */
}

// HTML END

include('qtf_p_footer.php');

?>