<?php



/*

 * PHP versions 4 and 5

 *

 * LICENSE: This source file is subject to version 3.0 of the PHP license

 * that is available through the world-wide-web at the following URI:

 * http://www.php.net/license.  If you did not receive a copy of

 * the PHP License and are unable to obtain it through the web, please

 * send a note to license@php.net so we can mail you a copy immediately.

 *

 * @category   Forum

 * @package    QuickTalk forum

 * @author     Philippe Vandenberghe <info@qt-cute.org>

 * @copyright  2008-2012 The PHP Group

 * @license    http://www.php.net/license  PHP License 3.0

 * @version    1.9.0.3 build:20080813

 * @link       http://www.qt-cute/doc/package/qtf

 * @since      File available since Release 1.0.0

 * @deprecated File deprecated in Release 2.0.0

 *

 */



session_start();

require_once('bin/qtf_init.php');

if ( !$oVIP->CanAccess('V',0,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);



// INITIALISE



include('bin/qt_lib_smtp.php');

include($_SESSION[QT]['language'].'/qtf_lang_reg.inc');



$oVIP->selfurl = 'qtf_form_reg.php';

$oVIP->selfname = $L['Register'];



$strTitle = '';

$strMail = '';

$strNewpwd = '';

$strConpwd = '';

$strConmail = '';

$strParentmail = '';

$strChild = '0';



// --------

// SUBMITTED

// --------



if ( isset($_POST['ok']) )

{

  // pre-check code

  if ( empty($_POST['mail']) ) $qtf_error=$L['Email'].S.$L['E_invalid'];

  if ( empty($_POST['title']) ) $qtf_error=$L['Username'].S.$L['E_invalid'];

  if ( $_SESSION[QT]['register_safe']<>'none' )

  {

  if ( trim($_POST['code'])=='' )  $qtf_error = $L['Type_code'].S.$L['E_invalid'];

  if ( strlen($_POST['code'])<>6 ) $qtf_error = $L['Type_code'].S.$L['E_invalid'];

  }



  // check name

  if ( empty($qtf_error) )

  {

    if ( get_magic_quotes_gpc() ) $_POST['title'] = stripslashes($_POST['title']);

    $_POST['title'] = QTconv($_POST['title'],'U');

    if ( !QTislogin($_POST['title']) ) $qtf_error=$L['Username'].S.$L['E_invalid'];

    if ( empty($qtf_error) )

    {

    $oDB->Query('SELECT count(id) as countid FROM '.TABUSER.' WHERE name="'.$_POST['title'].'"');

    $row = $oDB->Getrow();

    if ($row['countid']!=0) $qtf_error=$L['Username'].S.$L['E_already_used'];

    }

  }



  // check mail

  if ( empty($qtf_error) )

  {

    $_POST['mail'] = trim($_POST['mail']);

    if (!QTismail($_POST['mail'])) $qtf_error=$L['Email'].S.$L['E_invalid'];

    if ( empty($qtf_error) )

    {

    $oDB->Query('SELECT count(id) as countid FROM '.TABUSER.' WHERE mail="'.$_POST['mail'].'"');

    $row = $oDB->Getrow();

    if ($row['countid']!=0) $qtf_error=$L['Email'].S.$L['E_already_used'];

    }

  }



  // check parentmail

  if ( $_SESSION[QT]['register_coppa']=='1' ) {

  if ( empty($qtf_error) ) {

  if ( $strChild!='0' ) {

    $_POST['parentmail'] = trim($_POST['parentmail']);

    if ( !QTismail($_POST['parentmail']) ) $qtf_error=$L['Parent_mail'].S.$L['E_invalid'];

  }}}

  if ( !isset($_POST['parentmail']) ) $_POST['parentmail'] = '';



  // check password

  if ( empty($qtf_error) && $_SESSION[QT]['register_mode']=='direct' )

  {

    if ( get_magic_quotes_gpc() ) $_POST['pwd'] = stripslashes($_POST['pwd']);

    $_POST['pwd'] = QTconv($_POST['pwd'],'U');

    if ( !QTispassword($_POST['pwd']) ) $qtf_error = $L['Password'].S.$L['E_invalid'];

    

    if ( get_magic_quotes_gpc() ) $_POST['conpwd'] = stripslashes($_POST['conpwd']);

    $_POST['conpwd'] = QTconv($_POST['conpwd'],'U');

    if ( !QTispassword($_POST['conpwd']) ) $qtf_error = $L['Password'].S.$L['E_invalid'];

  }



  // check code

  if ( empty($qtf_error) )

  {

    if ( $_SESSION[QT]['register_safe']<>'none' )

    {

    $strCode = strtoupper(strip_tags(trim($_POST['code'])));

    if ($strCode=='') $qtf_error = $L['Type_code'];

    if ( $_SESSION['textcolor'] <> sha1($strCode) ) $qtf_error = $L['Type_code'];

    }

  }

  

  // check code

  if ( empty($qtf_error) )

  {

    if ( $_SESSION[QT]['register_safe']<>'none' )

    {

    $strCode = strtoupper(strip_tags(trim($_POST['code'])));

    if ( $strCode=='' ) $qtf_error = $L['Type_code'].S.$L['E_invalid'];

    if ( $_SESSION['textcolor'] <> sha1($strCode) ) $qtf_error = $L['Type_code'].S.$L['E_invalid'];

    }

  }



  // --------

  // register user

  // --------

  if ( empty($qtf_error) )

  {

    // email code

    if ( $_SESSION[QT]['register_mode']=='email' ) $strNewpwd = 'QT'.rand(0,9).rand(0,9).rand(0,9).rand(0,9);



    $id = Nextid(TABUSER);

    $strBirth = $_POST['y']*10000+$_POST['m']*100+$_POST['d'];

    $oDB->Query( 'INSERT INTO '.TABUSER.' (id,name,pwd,closed,role,mail,firstdate,lastdate,birthday,numpost,children,parentmail,avatar) VALUES ('.$id.',"'.$_POST['title'].'","'.sha1($_POST['pwd']).'","0","U","'.$_POST['mail'].'","'.date('Ymd His').'","'.date('Ymd His').'","'.$strBirth.'",0,"'.$strChild.'","'.$_POST['parentmail'].'","0")' );



    // Unregister global sys (will be recomputed on next page)

    Unset($_SESSION[QT]['sys_members']);

    Unset($_SESSION[QT]['sys_newuserid']);



    // send email

    $strSubject='Welcome';

    $strMessage="Please find here after your login and password to access the board {$_SESSION[QT]['site_name']}.\nLogin: %s\nPassword: %s";

    $strFile = $_SESSION[QT]['language'].'/mail_registred.inc';

    if ( file_exists($strFile) ) include($strFile);

    $strMessage = sprintf($strMessage,$_POST['title'],$_POST['pwd']);

    QTmail($_POST['mail'],QTconv($strSubject,'-4'),QTconv($strMessage,'-4'),QTF_HTML_CHAR);



    // parent mail

    if ( $_SESSION[QT]['register_coppa']=='1' && $strChild!='0' )

    {

      $strSubject='Welcome';

      $strMessage="We inform you that your children has registered on the forum {$_SESSION[QT]['site_name']}.\nLogin: %s\nPassword: %s\nYour agreement is required to activte this account.";

      $strFile = $_SESSION[QT]['language'].'/mail_registred_coppa.inc';

      if ( file_exists($strFile) ) include($strFile);

      $strMessage = sprintf($strMessage,$_POST['title'],$_POST['pwd']);

      QTmail($_POST['parentmail'],QTconv($strSubject,'-4'),QTconv($strMessage,'-4'),QTF_HTML_CHAR);

    }



    // END MESSAGE

    if ( $_SESSION[QT]['register_mode']=='email' )

    {

      $oVIP->exiturl = 'qtf_index.php';

      $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);

    }

    else

    {

      $L['Reg_mail'] = S;

      $oVIP->exiturl = 'qtf_usr_login.php?dfltname='.urlencode($_POST['title']);

      $oVIP->exitname = $L['Login'];

    }

    $oVIP->EndMessage(NULL,'<h2>'.$L['Register_completed'].'</h2><p>'.$L['Reg_mail'].'</p>',$_SESSION[QT]['skin_dir'],0);

  }

}



$intY = 1970;

$intM = 1;

$intD = 1;

if ( isset($_POST['y']) ) $intY = intval($_POST['y']);

if ( isset($_POST['m']) ) $intM = intval($_POST['m']);

if ( isset($_POST['d']) ) $intD = intval($_POST['d']);

if ( isset($_GET['y']) ) $intY = intval($_GET['y']);

if ( isset($_GET['m']) ) $intM = intval($_GET['m']);

if ( isset($_GET['d']) ) $intD = intval($_GET['d']);



$intMajor = ($intY+13)*10000+$intM*100+$intD;

if ( intval(date('Ymd',strtotime('now')))>$intMajor ) { $strChild='0'; } else { $strChild='1'; }



// --------

// HTML START

// --------



$arrCss = array('qtf_register.css');



$strHeaderAddScript = '

<script type="text/javascript" src="bin/qt_jquery.js"></script>

<script type="text/javascript">

<!--

function ValidateForm(theForm)

{

  if (theForm.title.value.length==0) { alert(html_entity_decode("'.$L['E_mandatory'].': '.$L['Choose_name'].'")); return false; }

  if (theForm.mail.value.length==0) { alert(html_entity_decode("'.$L['E_mandatory'].': '.$L['Your_mail'].'")); return false; }

  if (theForm.code.value.length==0) { alert(html_entity_decode("'.$L['E_mandatory'].': '.$L['Security'].'")); return false; }

  if (theForm.code.value=="QT") { alert(html_entity_decode("'.$L['E_mandatory'].': '.$L['Security'].'")); return false; }

  return null;

}

function MinChar(strField,strValue)

{

  if ( strValue.length>0 && strValue.length<4 )

  {

  document.getElementById(strField+"_err").innerHTML="'.$L['E_min_4_char'].'<br/>";

  return null;

  }

  else

  {

  document.getElementById(strField+"_err").innerHTML="";

  return null;

  }

}

$(function() {

  $("#title").blur(function() {

    $.post("qtf_j_exists.php",

       {f:"name",v:$("#title").val(),e1:"'.$L['E_min_4_char'].'",e2:"'.$L['E_already_used'].'"},

       function(data) { if ( data.length>0 ) document.getElementById("title_err").innerHTML=data; });

  });

});

-->

</script>

';



include('qtf_p_header.php');



// DEFAULT VALUE RECOVERY (na)



if ( !isset($_POST['title']) ) $_POST['title']='';

if ( !isset($_POST['pwd']) ) $_POST['pwd']='';

if ( !isset($_POST['conpwd']) ) $_POST['conpwd']='';

if ( !isset($_POST['mail']) ) $_POST['mail']='';

if ( !isset($_POST['parentmail']) ) $_POST['parentmail']='';



if ( $_SESSION[QT]['register_safe']=='text' )

{

  $keycode = 'QT'.rand(0,9).rand(0,9).rand(0,9).rand(0,9);

  $_SESSION['textcolor'] = sha1($keycode);

}



// --------

// CONTENT

// --------



if ( $_SESSION[QT]['register_coppa']=='1' &&  $strChild!='0' )

{

  echo '<div class="scrollmessage">';

  $strFile = $_SESSION[QT]['language'].'/sys_rules_coppa.txt';

  if ( file_exists($strFile) ) { include($strFile); } else { echo 'Missing file:<br/>'.$strFile; }

  echo '</div>';

}



HtmlMsg(0,'620px','login_header',$oVIP->selfname);



echo '<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">',N;

echo '<table class="ta_hidden" cellspacing="0">',N;

echo '<tr class="tr_hidden">',N;

echo '<td class="td_hidden" style="width: 370px;"><div id="login">',N;

echo '<fieldset class="fs_register">',N;

echo '<legend>',$L['Username'],'</legend>',N;

echo '<span class="small">',$L['Choose_name'],'</span>&nbsp;<input type="text" id="title" name="title" size="20" maxlength="24" value="',$_POST['title'],'" onfocus="document.getElementById(\'title_err\').innerHTML=\'\';"/><br/><span id="title_err" class="error"></span></p>',N;

echo '</fieldset>',N;

echo '<fieldset class="fs_register">',N;

echo '<legend>',$L['Password'],'</legend>',N;

if ( $_SESSION[QT]['register_mode']=='direct' )

{

  echo '<span class="small">',$L['Choose_password'],'</span>&nbsp;<input type="password" id="pwd" name="pwd" size="20" maxlength="24" value="',$_POST['pwd'],'" onblur="MinChar(this.name,this.value)"/><br/><span id="pwd_err" class="error"></span>',N;

  echo '<span class="small">',$L['Confirm_password'],'</span>&nbsp;<input type="password" id="conpwd" name="conpwd" size="20" maxlength="24" value="',$_POST['conpwd'],'" onblur="MinChar(this.name,this.value)"/><br/><span id="conpwd_err" class="error"></span>',N;

}

else

{

  echo '<span class="small">',$L['Password_by_mail'],'</span><br/>',N;

}

echo '</fieldset>',N;

echo '<fieldset class="fs_register">',N;

echo '<legend>',$L['Email'],'</legend>',N;

echo '<span class="small">',$L['Your_mail'],'</span>&nbsp;<input type="text" id="mail" name="mail" size="30" maxlength="64" value="',$_POST['mail'],'"/><br/>',N;

if ( $_SESSION[QT]['register_coppa']=='1' && $strChild!='0' ) echo ' <span class="small">',$L['Parent_mail'],'</span>&nbsp;<input type="text" id="parentmail" name="parentmail" size="30" maxlength="64" value="',$_POST['parentmail'],'"/><br/>',N;

echo '</fieldset>',N;

echo '<fieldset class="fs_register">',N;

echo '<legend>',$L['Security'],'</legend>',N;

if ( $_SESSION[QT]['register_safe']=='image' ) echo '<img width="100" height="35" src="admin/qtf_icode.php" alt="security" style="text-align:right"/> <input type="text" name="code" size="8" maxlength="8" value="QT"/><br/><span class="small">',$L['Type_code'],'</span>',N;

if ( $_SESSION[QT]['register_safe']=='text' ) echo $keycode,'&nbsp;<input type="text" id="code" name="code" size="8" maxlength="8" value="QT"/><br/><span class="small">',$L['Type_code'],'</span>',N;

echo '</fieldset>',N;

echo '<input type="hidden" name="register_mode" value="',$_SESSION[QT]['register_mode'],'"/>';

echo '<input type="hidden" name="register_safe" value="',$_SESSION[QT]['register_safe'],'"/>';

echo '<input type="hidden" name="child" value="',$strChild,'"/>';

echo '<input type="hidden" name="y" value="',$intY,'"/>';

echo '<input type="hidden" name="m" value="',$intM,'"/>';

echo '<input type="hidden" name="d" value="',$intD,'"/>';

echo (!empty($qtf_error) ? '<p class="error">'.$qtf_error.'</p>' : ''),'<input type="submit" name="ok" value="',$L['Register'],'"/>',N;

echo '</div></td>',N;

echo '<td class="td_hidden" style="width:20px;">&nbsp;</td>',N;

echo '<td class="td_hidden"><span class="small">',$L['Reg_help'],'</span></td>

</tr>

</table>

</form>

';



HtmlMsg(1);



// HTML END



include('qtf_p_footer.php');



?>