<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

$id = 0;
$s = -1;
$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intLimit = 0;
$intPage  = 1;

// security check 1
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_GET['ref']) ) $id = strip_tags($_GET['ref']);
if ( isset($_GET['order']) ) $strOrder = strip_tags($_GET['order']);
if ( isset($_GET['dir']) ) $strDirec = strip_tags($_GET['dir']);
if ( isset($_GET['page']) ) $intPage = intval(strip_tags($_GET['page']));
if ( isset($_GET['view']) ) $_SESSION[QT]['viewmode'] = strip_tags($_GET['view']);

// check keywords
if ( empty($id) )  $qtf_error = $L['Ref'].S.$L['E_invalid'];
if ( strstr($id,'.') ) $qtf_error = $L['Ref'].S.$L['E_invalid'];
if ( strstr($id,',') ) $qtf_error = $L['Ref'].S.$L['E_invalid'];
if ( !is_numeric($id) ) $qtf_error = $L['Ref'].S.$L['E_invalid'];
$id = intval($id);

if (  !empty($qtf_error) )
{
  echo '<p class="error">',$qtf_error,'</p>';
  echo '<a href="qtf_search.php',( !empty($id) ? '?ref='.$id : ''),'">',$L['Search'],'</a>';
  exit;
}

// security check 2 (no long argument)
if ( strlen($strOrder)>12 ) die('Invalid argument #order');
if ( strlen($strDirec)>4 ) die('Invalid argument #dir');

$intLimit = ($intPage-1)*$_SESSION[QT]['topics_per_page'];

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

$oVIP->selfurl = 'qtf_search_id.php';
$oVIP->selfname = $L['Search_by_ref'];
$oVIP->exiturl = 'qtf_search.php?'.QTargimplode(QTargexplode());
$oVIP->exitname = $L['Search'];

include('bin/qtf_fn_limitsql.php');

// --------
// HTML START
// --------

// check section
$s = intval($_GET['s']);
$strSection = 't.forum = '.$s;
if ( $s<0 )
{
  $strSection = 't.forum>=0 AND f.type<>"1"';
  if ( $oVIP->role=='A' || $oVIP->role=='M' ) $strSection = 't.forum>=0';
}

$arrJava = array('com'=>false);

include('qtf_p_header.php');

echo '
<table class="ta_button" cellspacing="0">
<tr class="tr_button">
<td>&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=last" class="a_button">',$L['Recent_messages'],'</a>&nbsp;</td>
<td style="width:10px">&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=news" class="a_button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
  echo '<td style="width:10px">&nbsp;</td>
  <td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',''),'</td>
  <td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=user&amp;id=',$oVIP->id,'&amp;n=',$oVIP->username,'" class="a_button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>
</table>
';
echo '<h2>',$oVIP->selfname,'</h2>';

// -----
// COUNT
// -----

$oDB->Query
(
'SELECT count(*) as countid
 FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' f ON t.forum = f.id INNER JOIN '.TABPOST.' p ON t.firstpostid = p.id
 WHERE '.$strSection.' AND t.numid='.$id
);
$row = $oDB->Getrow();
$intCount = $row['countid'];

// FOUND

$strSubtitle = $id;
if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($_SESSION['qtfSec'][$s]) ? $_SESSION['qtfSec'][$s] : '').')';
$strSubtitle = '<p>'.$L['Ref'].': '.$strSubtitle.'&nbsp;&nbsp;&middot;&nbsp;&nbsp;'.LangS('Result',$intCount).'</p>';

// NO RESULT

if ($intCount==0)
{
  echo $strSubtitle;
  echo '<p>',$L['None'],'</p>',N;
  echo '<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>';
  include('qtf_p_footer.php');
  exit;
}

// -----
// QUERY
// -----

  // order
  $strFullOrder = 't.'.$strOrder.' '.$strDirec;
  if ( $strOrder=='title' ) $strFullOrder='p.title'.' '.$strDirec;
  if ( $strOrder=='forumtitle' ) $strFullOrder='f.title'.' '.$strDirec;  
  // second order
  if ( $strOrder!='lastpostdate' ) $strFullOrder .= ',t.lastpostdate DESC';

$oDB->Query
(
'SELECT t.*, f.title as forumtitle, p.icon, p.title, p.textmsg, f.numfield
 FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' f ON t.forum = f.id INNER JOIN '.TABPOST.' p ON t.firstpostid = p.id
 WHERE '.$strSection.' AND t.numid='.$id.'
 ORDER BY '.$strFullOrder
);

echo '<p>',$L['Ref'],' ',$id,'&nbsp;&nbsp;&middot;&nbsp;&nbsp;',LangS('Result',$intCount),'</p>',N;

// --------
// Post content
// --------

echo '<table class="ta ta_t" cellspacing="0">',N;
echo '<tr class="tr_t tr_t0">',N;

  /* ======== */
  $arrFields = array(); // SORT LABEL CLASS STYLE
  $arrFields['icon']  = array(FALSE,S, 'th_t th_t_ico th_t_first', 'width:25px');
  $arrFields['numid'] = array(TRUE, $L['Ref'], 'th_t th_t_ref', 'width:50px');
  if ( QTF_PREFIX_ICON )
  {
  $arrFields['smile'] = array(FALSE,S, 'th_t th_t_inf', 'width:20px');
  }
  $arrFields['title'] = array(TRUE, $L['Topics'], 'th_t th_t_tit', '');
  $arrFields['you']   = array(FALSE,S, 'th_t th_t_inf', 'width:10px');
  $arrFields['forumtitle']   = array(TRUE, $L['Section'], 'th_t th_t_inf', '');
  $arrFields['firstpostname']= array(TRUE, $L['Topic_starter'], 'th_t th_t_inf', 'width:120px');
  $arrFields['lastpostdate'] = array(TRUE, $L['Last_message'], 'th_t th_t_inf', 'width:130px');
  $arrFields['replies']      = array(TRUE, $L['Replys'], 'th_t th_t_inf th_t_last', 'width:70px;text-align:center');
  /* ======== */
  TableHeader($arrFields,$intCount,"qtf_search_id.php?title=$id&amp;s=$s&amp;page=1",$strOrder,$strDirec);
  /* ======== */

echo '</tr>',N;

  /* ======== */
  $bAddPrefix = true;
  $bAddSection = true;
  $bAddViews = false;
  $bAddRef = true;
  $strExtra='replies';
  include('qtf_topics_inc.php');
  /* ======== */

echo '<tr class="tr tr_t9">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N;

echo '<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>';

// HTML END

include('qtf_p_footer.php');