<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',3,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

if ( !isset($_GET['s']) ) die('Missing section id...');
if ( !isset($_GET['t']) ) die('Missing topic id...');
$s = intval($_GET['s']);
$t = intval($_GET['t']);

include('bin/qtf_fn_limitsql.php');

$oSEC = new cSection($s);

  if ( $oSEC->type=='1' && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type=='2' && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oTopic = new cTopic($t,$oVIP->id); //provide userid to update stats

  if ( $oSEC->type=='2' && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['E_topic_private']."<br/>".$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oPost  = new cPost;

$strCommand = '';
$intLimit = 0;
$PAGEcurr = 1;
if ( isset($_GET['page']) ) { $intLimit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=intval($_GET['page']); }
if ( isset($_GET['view']) ) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qtf_topic.php';
$oVIP->exiturl = 'qtf_topics.php?s='.$s;
$oVIP->selfname = $L['Messages'];

// --------
// HTML START
// --------

$bToPrint = true;
include('qtf_p_header.php');

echo '<h2>',$oSEC->name,( $oSEC->numfield=='N' ? '' : ' &middot; '.sprintf($oSEC->numfield,$oTopic->numid) ),'</h2>';

// COUNT RECORDS

$oDB->Query('SELECT count(p.id) as countid FROM '.TABPOST." p WHERE p.forum={$oSEC->id} AND p.topic={$oTopic->id}");
$row = $oDB->Getrow();
$intPosts = $row['countid'];

// CONTENT

// -- stop if no post (or user not creator) --

if ($intPosts == 0)
{
  echo '<br/>'.$L['None'].'... '.$L['E_topic_private'].'<br/><br/>',N;
  include('qtf_p_footer.php');
  exit;
}

/*  oooooooooo  */
    $state = 'p.*, u.role, u.location, u.avatar, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$oTopic->id;
    $oDB->Query( LimitSQL($state,'p.id ASC',$intLimit,$_SESSION[QT]['replies_per_page'],$intPosts) );
/*  oooooooooo  */
    $iMsgNum = $intLimit;
    $iMsgAdd = 1;
    $intWhile= 0;
    $strAlt  = '1';
    $strSep  = '';
    $bButton = false;
    $bAvatar = true;
/*  oooooooooo  */
    include('qtf_topic_inc.php');
/*  oooooooooo  */

// HTML END

include('qtf_p_footer.php');

?>