<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute.org/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('U',0,true) ) die($L['R_member']);

// INITIALISE

include($_SESSION[QT]['language'].'/qtf_lang_reg.inc');

$id = -1;
if ( isset($_GET['id']) ) $id = intval(strip_tags($_GET['id']));
if ( isset($_POST['id']) ) $id = intval(strip_tags($_POST['id']));
if ( $id<0 ) die('Missing parameters');
if ( $oVIP->role!='A' && $oVIP->id!=$id ) die($L['R_member']);

$oVIP->selfurl = 'qtf_usr_sign.php';
$oVIP->selfname = $L['Change_signature'];
$oVIP->exiturl = 'qtf_usr.php?id='.$id;
$oVIP->exitname = $L['Profile'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check values and protect against injection
  $str = trim($_POST['text']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = substr( QTconv($str,'3',QTF_CONVERT_AMP),0,255 );

  // update user
  if ( empty($qtf_error) )
  {
    $oDB->Query('UPDATE '.TABUSER.' SET signature="'.$str.'" WHERE id='.$id);
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// HTML START
// --------

$arrJava = array('bbc'=>true,'img'=>true);

include('qtf_p_header.php');

if ( $oVIP->role!='A' && $oVIP->id!=$id ) die($L['R_member']);

// DISPLAY PREVIOUS

$oDB->Query('SELECT signature,name,avatar FROM '.TABUSER.' WHERE id='.$id);
$row = $oDB->Getrow(); if ( !is_string($row['signature']) ) $row['signature']='';

$strSign = QTbbc($row['signature'],'html'); if ( empty($strSign) ) $strSign=S;

echo '<table class="ta_hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="tr_hidden">
<td class="td_hidden" style="width:175px;vertical-align:middle">',AsImgBox(AsImg('avatar/'.$id.'.'.$row['avatar'],null,$row['name']),'div_pic_box',null,$row['name']),'</td>
<td class="td_hidden">
';

// SIGNATURE

echo '<h2>',$L['Signature'],'</h2>',N;

echo '<table class="ta ta_o" cellspacing="0">',N;
echo '<tr class="tr_o">',N;
echo '<td class="td_o">',$strSign,'</td>',N;
echo '</tr>',N;
echo '</table>',N;

echo '<p>',$L['H_no_signature'],'</p>',N;

// NEW SIGNATURE

echo '<h2>',$oVIP->selfname,'</h2>',N;
echo '<form method="post" action="',$oVIP->selfurl,'">',N;
echo '<table class="ta ta_o" cellspacing="0">',N;
echo '<tr class="tr_o">',N;
echo '<td class="td_o">',N;

if ( $_SESSION[QT]['bbc']!='0' )
{
  $bJavaBbc=true;
  $bJavaBbc2=true;
  include('qtf_form_button.php');
}

echo '<br/><textarea id="text" name="text" rows="5" wrap="virtual" cols="80">',$row['signature'],'</textarea>',N,'</td>',N;
echo '</tr>',N;
echo '<tr class="tr_o">',N;
echo '<td class="td_o"><input type="hidden" name="id" value="',$id,'"/><input type="submit" name="ok" value="',$L['Save'],'"/>&nbsp;';
if ( !empty($qtf_error) ) echo '<span class="error">',$qtf_error,'</span>';
echo '</td>',N;
echo '</tr>',N;
echo '</table>',N;
echo '</form>',N;

echo '
</td>
</tr>
</table>
';

echo '<a href="',$oVIP->exiturl,'">&laquo; ',$L['Profile'],'</a><br/><br/>',N;

// HTML END

include('qtf_p_footer.php');

?>